std::timed_mutex Class Reference
Concurrency » Mutexes

`#include <mutex>`

## Public Member Functions

| timed_mutex (const timed_mutex &)=delete
void | lock ()
timed_mutex & | operator= (const timed_mutex &)=delete
bool | try_lock ()
template<typename _Rep , typename _Period >
bool | try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration >
bool | try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void | unlock ()

## Detailed Description

timed_mutex

Definition at line 345 of file mutex.

## Constructor & Destructor Documentation

## ~timed_mutex()

std::timed_mutex::~timed_mutex | ( |  | ) |

inline

Definition at line 354 of file mutex.

## Member Function Documentation

## lock()

void std::timed_mutex::lock | ( |  | ) |

inline

Definition at line 360 of file mutex.

## try_lock()

bool std::timed_mutex::try_lock | ( |  | ) |

inline

Definition at line 368 of file mutex.

## try_lock_for()

template<typename _Rep , typename _Period >

bool std::timed_mutex::try_lock_for | ( | const chrono::duration< _Rep, _Period > & | __rtime | ) |

inline

Definition at line 379 of file mutex.

## try_lock_until()

template<typename _Clock , typename _Duration >

bool std::timed_mutex::try_lock_until | ( | const chrono::time_point< _Clock, _Duration > & | __atime | ) |

inline

Definition at line 390 of file mutex.

## unlock()

void std::timed_mutex::unlock | ( |  | ) |

inline

Definition at line 400 of file mutex.

The documentation for this class was generated from the following file:

- mutex